workbookWorksheetProtection: protect
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
保护工作表。如果工作表处于受保护状态,则会引发它。
Permissions
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
Files.ReadWrite
委派(个人 Microsoft 帐户)
Files.ReadWrite
应用程序
不支持。
HTTP 请求
POST /me/drive/items/{id}/workbook/worksheets/{id|name}/protection/protect
POST /me/drive/root:/{item-path}:/workbook/worksheets/{id|name}/protection/protect
名称
说明
Authorization
Bearer {token}。必需。
Workbook-Session-Id
确定是否保留更改的工作簿会话 ID。可选。
请求正文
在请求正文中,提供具有以下参数的 JSON 对象。
响应
如果成功,此方法返回 200 OK 响应代码。它不在响应正文中返回任何内容。
示例
下面是一个如何调用此 API 的示例。
请求
下面是一个请求示例。
POST https://graph.microsoft.com/beta/me/drive/items/{id}/workbook/worksheets/{id|name}/protection/protect
Content-type: application/json
{
"options": {
"allowFormatCells": true,
"allowFormatColumns": true,
"allowFormatRows": true,
"allowInsertColumns": true,
"allowInsertRows": true,
"allowInsertHyperlinks": true,
"allowDeleteColumns": true,
"allowDeleteRows": true,
"allowSort": true,
"allowAutoFilter": true,
"allowPivotTables": true
}
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var options = new WorkbookWorksheetProtectionOptions
{
AllowFormatCells = true,
AllowFormatColumns = true,
AllowFormatRows = true,
AllowInsertColumns = true,
AllowInsertRows = true,
AllowInsertHyperlinks = true,
AllowDeleteColumns = true,
AllowDeleteRows = true,
AllowSort = true,
AllowAutoFilter = true,
AllowPivotTables = true
};
await graphClient.Me.Drive.Items["{driveItem-id}"].Workbook.Worksheets["{workbookWorksheet-id}"].Protection
.Protect(options)
.Request()
.PostAsync();
const options = {
authProvider,
};
const client = Client.init(options);
const protect = {
options: {
allowFormatCells: true,
allowFormatColumns: true,
allowFormatRows: true,
allowInsertColumns: true,
allowInsertRows: true,
allowInsertHyperlinks: true,
allowDeleteColumns: true,
allowDeleteRows: true,
allowSort: true,
allowAutoFilter: true,
allowPivotTables: true
}
};
await client.api('/me/drive/items/{id}/workbook/worksheets/{id|name}/protection/protect')
.version('beta')
.post(protect);
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/me/drive/items/{id}/workbook/worksheets/{id|name}/protection/protect"]]];
[urlRequest setHTTPMethod:@"POST"];
[urlRequest setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
NSMutableDictionary *payloadDictionary = [[NSMutableDictionary alloc] init];
MSGraphWorkbookWorksheetProtectionOptions *options = [[MSGraphWorkbookWorksheetProtectionOptions alloc] init];
[options setAllowFormatCells: true];
[options setAllowFormatColumns: true];
[options setAllowFormatRows: true];
[options setAllowInsertColumns: true];
[options setAllowInsertRows: true];
[options setAllowInsertHyperlinks: true];
[options setAllowDeleteColumns: true];
[options setAllowDeleteRows: true];
[options setAllowSort: true];
[options setAllowAutoFilter: true];
[options setAllowPivotTables: true];
payloadDictionary[@"options"] = options;
NSData *data = [NSJSONSerialization dataWithJSONObject:payloadDictionary options:kNilOptions error:&error];
[urlRequest setHTTPBody:data];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
WorkbookWorksheetProtectionOptions options = new WorkbookWorksheetProtectionOptions();
options.allowFormatCells = true;
options.allowFormatColumns = true;
options.allowFormatRows = true;
options.allowInsertColumns = true;
options.allowInsertRows = true;
options.allowInsertHyperlinks = true;
options.allowDeleteColumns = true;
options.allowDeleteRows = true;
options.allowSort = true;
options.allowAutoFilter = true;
options.allowPivotTables = true;
graphClient.me().drive().items("{id}").workbook().worksheets("{id|name}").protection()
.protect(WorkbookWorksheetProtectionProtectParameterSet
.newBuilder()
.withOptions(options)
.build())
.buildRequest()
.post();
响应
下面是一个响应示例。
HTTP/1.1 200 OK